Note: This API reference is only for the following products:

  • Age Check, Age Verification, Age Assure
  • Sign-in Sign-in Refresh, Sign-up, Sign-up Plus
  • ID Live, ID Check, ID Proof, ID Assure, ID Scan, ID Scan - DBS, ID Scan - RTW

If you are integrating with the data service please use https://docs.oneid.uk/api-reference.

OIDC Configuration URLs

Server
https://controller.myoneid.co.uk

Production (Live data)

https://controller.sandbox.myoneid.co.uk

Sandbox (Test data)

Server Variables
http Basic

Requests should be made with an Authorization header that has the value Basic base64(client_id:client_secret).

Your client_id and client_secret can be obtained from the OneID portal, or by contacting support.

http Bearer

The access_token retrieved from the Token API.

Retrieve Token

This API allows you to retrieve an access and ID token using the code that was returned when the end user was redirected back to your return URL. The code can only be exchanged for a token once, and it must be within 60 seconds of the end user being redirected back to you.

Auth
Request Body
objectobject
grant_typestring

Must be set to 'authorization_code'.

Enum: authorization_code

codestring

The code that was passed to your return URL.

code_verifierstring

Required if using Proof Key for Code Exchange (PKCE).

POST /token
Copy
Responses
200

Exchange code for token.

Headers
x-request-idstring

A unique ID for the request. Please quote this ID when contacting support about a request.

Body
objectobject
access_tokenstring

The requested access token. You can use this token to authenticate to the secured APIs. You should treat this as an opaque value. Don't attempt to validate or parse the token.

token_typestring

The only type that OneID supports is Bearer.

expires_inint32

The amount of time that an access token is valid (in seconds).

id_tokenstring
Response
Copy

Retrieve Accounts

This API requires the accounts scope.

Auth
GET /accounts
Copy
Responses
200

OK

arrayarray[object]
account_idstring
statusstring

Specifies the status of account resource in code form.

  • Enabled - Account can be used for its intended purpose.
  • Disabled - Account cannot be used for its intended purpose, either temporarily or permanently.
  • Deleted - Account cannot be used any longer.
  • Proforma - Account is temporary and can be partially used for its intended purpose. The account will be fully available for use when the account servicer has received all relevant documents.
  • Pending - Account change is pending approval.

Enum: Enabled,Disabled,Deleted,Proforma,Pending

currencystring

Identification of the currency in which the account is held.

account_typestring

Enum: Personal,Business

account_sub_typestring
  • CACC, CurrentAccount - Current Account
  • SVGS, Savings - Savings
  • CARD, CreditCard - Credit Card

Enum: CACC,SVGS,CARD,CurrentAccount,Savings,CreditCard

nicknamestring

The nickname of the account, assigned by the account owner in order to provide an additional means of identification of the account.

opening_datestring

Date on which the account and related basic services are effectively operational for the account owner.

ibanstring

An identifier used internationally by financial institutions to uniquely identify the account of a customer at a financial institution, as described in the latest edition of the international standard ISO 13616.

account_numberstring
sort_codestring
bank_address6 fieldsobject

Requires the accounts.bank_address scope.

balance3 fieldsobject

Requires the accounts.balances scope.

default

Error

Response
Copy

Retrieve Userinfo PDF

Auth
GET /userinfo/report
Copy
Responses
200

OK

filefile
default

Error

Response
Copy

Retrieve Userinfo

The fields returned depends on the scopes that you added to the /authorize URL.

Auth
GET /userinfo
Copy
Responses
200

OK

objectobject
substring
namestring

Requires the profile scope.

The name of the end user.

given_namestring

Requires the profile scope.

The given name of the end user.

middle_namestring

Requires the profile scope.

The middle name of the end user.

family_namestring

Requires the profile scope.

The family name of the end user.

birthdatedate

Requires the date_of_birth scope.

The date of birth of the end user.

age_over_18boolean

Requires the age_over_18 scope.

true - We have verified the user is over 18.
false - We have been unable to verify the user is over 18.

phone_numberstring

Requires the phone scope.

End-User's preferred telephone number.

emailstring

Requires the email scope.

End-User's preferred email address.

address5 fieldsobject

Requires the address scope.

The address of the end user.

fraud8 fieldsobject

Requires the fraud scope.

pep_and_sanctions2 fieldsobject

Requires the pep_and_sanctions scope.

verified_claims

Requires enabling on your API client for it to be returned.
Note: This field can be a single object or an array of objects.

objectobject
verification_statusstring

Enum: PASS,FLAGGED

claims6 fieldsobject
verification4 fieldsobject
unverified_claims1 fieldobject

This object contains claims that we have captured from the user but have not been able to verify.

evidence_counts5 fieldsobject

Requires the evidence_counts scope.

A breakdown of how many sources verified the user's name, address, and date of birth.

idscan7 fieldsobject

Requires the idscan, dbs or rtw scope.

default

Error

Response
Copy